TrainingUnit (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.dao

## Class TrainingUnit

- java.lang.Object
- - org.gcube.portal.trainingmodule.dao.TrainingUnit

- All Implemented Interfaces:
    Serializable

      @Entity
      public class TrainingUnit
      extends Object
      implements Serializable

  The Class TrainingProject.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 10, 2018
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrainingUnit()` Instantiates a new training unit.
    `TrainingUnit(long internalId, String title, String workspaceFolderName, String description, String workspaceFolderId, String scope, String ownerLogin, TrainingProject trainingProjectRef)` Instantiates a new training unit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addQuestionnaire(TrainingUnitQuestionnaire qst)` Adds the questionnaire.
    `void` | `addVideo(TrainingVideo video)` Adds the video.
    `String` | `getDescription()` Gets the description.
    `long` | `getInternalId()` Gets the internal id.
    `List<TrainingUnitQuestionnaire>` | `getListQuestionnaire()` Gets the list questionnaire.
    `List<TrainingVideo>` | `getListVideo()` Gets the list video.
    `String` | `getOwnerLogin()` Gets the owner login.
    `TrainingUnitQuestionnaire` | `getQuestionnaireFor(String questionnaireId)` Gets the questionnaire.
    `String` | `getScope()` Gets the scope.
    `String` | `getTitle()` Gets the title.
    `TrainingProject` | `getTrainingProjectRef()` Gets the training project ref.
    `TrainingVideo` | `getVideoForURL(String videoURL)` Gets the video for URL.
    `String` | `getWorkspaceFolderId()` Gets the workspace folder id.
    `String` | `getWorkspaceFolderName()` Gets the workspace folder name.
    `void` | `setDescription(String description)` Sets the description.
    `void` | `setOwnerLogin(String ownerLogin)` Sets the owner login.
    `void` | `setScope(String scope)` Sets the scope.
    `void` | `setTitle(String title)` Sets the title.
    `void` | `setTrainingProjectRef(TrainingProject trainingProjectRef)` Sets the training project ref.
    `void` | `setWorkspaceFolderId(String workspaceFolderId)` Sets the workspace folder id.
    `void` | `setWorkspaceFolderName(String workspaceFolderName)` Sets the workspace folder name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrainingUnit

          public TrainingUnit()

      Instantiates a new training unit.

    - #### TrainingUnit

          public TrainingUnit(long internalId,
                              String title,
                              String workspaceFolderName,
                              String description,
                              String workspaceFolderId,
                              String scope,
                              String ownerLogin,
                              TrainingProject trainingProjectRef)

      Instantiates a new training unit.
      Parameters:
        `internalId` - the internal id
        `title` - the title
        `workspaceFolderName` - the workspace folder name
        `description` - the description
        `workspaceFolderId` - the workspace folder id
        `scope` - the scope
        `ownerLogin` - the owner login
        `trainingProjectRef` - the training project ref

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Gets the title.
      Returns:
        the title

    - #### setTitle

          public void setTitle(String title)

      Sets the title.
      Parameters:
        `title` - the new title

    - #### getWorkspaceFolderName

          public String getWorkspaceFolderName()

      Gets the workspace folder name.
      Returns:
        the workspace folder name

    - #### setWorkspaceFolderName

          public void setWorkspaceFolderName(String workspaceFolderName)

      Sets the workspace folder name.
      Parameters:
        `workspaceFolderName` - the new workspace folder name

    - #### getDescription

          public String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Sets the description.
      Parameters:
        `description` - the new description

    - #### getWorkspaceFolderId

          public String getWorkspaceFolderId()

      Gets the workspace folder id.
      Returns:
        the workspace folder id

    - #### setWorkspaceFolderId

          public void setWorkspaceFolderId(String workspaceFolderId)

      Sets the workspace folder id.
      Parameters:
        `workspaceFolderId` - the new workspace folder id

    - #### getScope

          public String getScope()

      Gets the scope.
      Returns:
        the scope

    - #### setScope

          public void setScope(String scope)

      Sets the scope.
      Parameters:
        `scope` - the new scope

    - #### getOwnerLogin

          public String getOwnerLogin()

      Gets the owner login.
      Returns:
        the owner login

    - #### setOwnerLogin

          public void setOwnerLogin(String ownerLogin)

      Sets the owner login.
      Parameters:
        `ownerLogin` - the new owner login

    - #### getTrainingProjectRef

          public TrainingProject getTrainingProjectRef()

      Gets the training project ref.
      Returns:
        the training project ref

    - #### setTrainingProjectRef

          public void setTrainingProjectRef(TrainingProject trainingProjectRef)

      Sets the training project ref.
      Parameters:
        `trainingProjectRef` - the new training project ref

    - #### getInternalId

          public long getInternalId()

      Gets the internal id.
      Returns:
        the internal id

    - #### addQuestionnaire

          public void addQuestionnaire(TrainingUnitQuestionnaire qst)

      Adds the questionnaire.
      Parameters:
        `qst` - the qst

    - #### getQuestionnaireFor

          public TrainingUnitQuestionnaire getQuestionnaireFor(String questionnaireId)

      Gets the questionnaire.
      Parameters:
        `questionnaireId` - the questionnaire id
      Returns:
        the questionnaire

    - #### addVideo

          public void addVideo(TrainingVideo video)

      Adds the video.
      Parameters:
        `video` - the video

    - #### getVideoForURL

          public TrainingVideo getVideoForURL(String videoURL)

      Gets the video for URL.
      Parameters:
        `videoURL` - the video URL
      Returns:
        the video for URL

    - #### getListQuestionnaire

          public List<TrainingUnitQuestionnaire> getListQuestionnaire()

      Gets the list questionnaire.
      Returns:
        the list questionnaire

    - #### getListVideo

          public List<TrainingVideo> getListVideo()

      Gets the list video.
      Returns:
        the list video

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All Rights Reserved.